あづみです。

Okada Jun wrote:
> ちょっと絞り込みが甘かったです。
> requireで.soなライブラリを読ませた時は再現せず,
> .rbなライブラリを読ませた時のみ起こる現象のようです。

なるほど。

$ uname -r
1.5
$ cat test2.rb
begin
  raise
ensure
  require 'nkf'
end
$ for ver in 1.4.6 1.6.0 1.6.1 1.6.2 1.6.3; do ruby-$ver -v; ruby-$ver test2.rb; done
ruby 1.4.6 (2000-08-16) [i386-netbsd1.5]
test2.rb:2: unhandled exception
ruby 1.6.0 (2000-09-19) [i386-netbsd1.5]
test2.rb:2: unhandled exception
ruby 1.6.1 (2000-09-27) [i386-netbsd1.5]
test2.rb:2: unhandled exception
ruby 1.6.2 (2000-12-25) [i386-netbsd1.5]
test2.rb:2: unhandled exception
ruby 1.6.3 (2001-03-19) [i386-netbsd1.5]
test2.rb:2: unhandled exception

安積伸弥
adzumi / denpa.org